package main

import "fmt"
import "math"

/*
 * Given an integer x, it returns true iff x is prime
 */
func isPrime(x int) bool {
	for d := 2; float64(d) < math.Sqrt(float64(x)); d++ {
		if x % d == 0 {
			return false
		}
	}
	return true
}

/*
 * Given a prime number p, compute 2^p-1 and check if the latter is prime. If so, 2^p-1 is returned, 
 * else -1 is returned.
 */
func mp(p int) int {
	x := 1
	for i := 0; i < p; i++ {
		x *= 2
	}
	// Now x contains 2^p
	if isPrime(x - 1) {
		return x - 1
	} else {
		return -1
	}
}


func main() {
	for n := 2; ; n++ {
		if !isPrime(n) {
			continue
		}
		x := mp(n)  
		if x > 0 {
			fmt.Println(x)
		}
	}
}




